Get Address Transactions
curl --request GET \
--url https://api.range.org/v1/address/transactions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v1/address/transactions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v1/address/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"transactions": [
{
"id": "<string>",
"version": 123,
"network": "<string>",
"height": "<string>",
"index": 123,
"timestamp": "<string>",
"hash": "<string>",
"sender": "<string>",
"message_types": [
"<string>"
],
"addresses": [
"<string>"
],
"success": true,
"gas": {
"wanted": 123,
"used": 123
},
"fees": {
"amount": "<string>",
"denom": "<string>"
},
"amounts": [
"<string>"
],
"memo": "<string>",
"signers": [
"<string>"
],
"messages": [
"<string>"
]
}
]
}Addresses & Entities
Get Address Transactions
Returns a list of transactions associated with the specified address.
GET
/
v1
/
address
/
transactions
Get Address Transactions
Authorizations
Authorization method required to allow user to access the api endpoints.
Query Parameters
Address to search
Network of Address
Number of items to return
Number of items to skip
Start time
End time
Message types separated by comma
Status of transaction
Available options:
success, failed Last modified on August 5, 2026
Was this page helpful?
⌘I